package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.framework.report.CommRptBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.gggl.app.*;
import com.kingdee.eas.framework.report.ICommRptBase;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class GgSignContractReportFacade extends CommRptBase implements IGgSignContractReportFacade
{
    public GgSignContractReportFacade()
    {
        super();
        registerInterface(IGgSignContractReportFacade.class, this);
    }
    public GgSignContractReportFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IGgSignContractReportFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E332A5DB");
    }
    private GgSignContractReportFacadeController getController() throws BOSException
    {
        return (GgSignContractReportFacadeController)getBizController();
    }
}